Bug 210190 - net/chrony: Update to 2.4
Summary: net/chrony: Update to 2.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kurt Jaeger
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-06-10 12:04 UTC by Yonas Yanfa
Modified: 2016-06-12 10:42 UTC (History)
2 users (show)

See Also:


Attachments
Update to 2.4 (1.42 KB, patch)
2016-06-10 12:04 UTC, Yonas Yanfa
yonas: maintainer-approval+
yonas: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yonas Yanfa 2016-06-10 12:04:40 UTC
Created attachment 171264 [details]
Update to 2.4

Well that was fast :)


Changes since 2.3:


Enhancements
Add orphan option to local directive for orphan mode compatible with ntpd

Add distance option to local directive to set activation threshold (1 second by default)

Add maxdrift directive to set maximum allowed drift of system clock

Try to replace NTP sources exceeding maximum distance

Randomise source replacement to avoid getting stuck with bad sources

Randomise selection of sources from pools on start

Ignore reference timestamp as ntpd doesn’t always set it correctly

Modify tracking report to use same values as seen by NTP clients

Add -c option to chronyc to write reports in CSV format

Provide detailed manual pages


Bug fixes
Fix SOCK refclock to work correctly when not specified as last refclock

Fix initstepslew and -q/-Q options to accept time from own NTP clients

Fix authentication with keys using 512-bit hash functions

Fix crash on exit when multiple signals are received

Fix conversion of very small floating-point numbers in command packets


Removed features
Drop documentation in Texinfo format
Comment 1 VK freebsd_triage 2016-06-11 10:30:52 UTC
Thanks for the patch. Removing maintainer-feedback+ for correctness because it was never requested. :) As a maintainer, you should set the maintainer-approval+ flag on the patch, instead.
Comment 2 Yonas Yanfa 2016-06-11 10:32:59 UTC
(In reply to Vladimir Krstulja from comment #1)

Thanks Vladimir :) I only see these flag options:

maintainer-feedback		
exp-run		
merge-quarterly

How do I set maintainer-approval+?
Comment 3 Yonas Yanfa 2016-06-11 10:36:56 UTC
Found it ;)
Comment 4 Kurt Jaeger freebsd_committer 2016-06-12 10:34:34 UTC
Testbuilds@work. Please note, the patch did not apply cleanly, and
the following warnings appear with

DEVELOPER=yes

in /etc/make.conf:

Error: /usr/local/bin/chronyc is linked to /usr/local/lib/nss/libfreebl3.so.1 from security/nss but it is not declared as a dependency
Error: /usr/local/bin/chronyc is linked to /usr/local/lib/libedit.so.0 from devel/libedit but it is not declared as a dependency
Warning: you need USES+=libedit
Comment 5 Kurt Jaeger freebsd_committer 2016-06-12 10:42:04 UTC
Committed, thanks!
Comment 6 commit-hook freebsd_committer 2016-06-12 10:42:36 UTC
A commit references this bug:

Author: pi
Date: Sun Jun 12 10:41:45 UTC 2016
New revision: 416792
URL: https://svnweb.freebsd.org/changeset/ports/416792

Log:
  net/chrony: 2.3 -> 2.4

  Changes:
    http://chrony.tuxfamily.org/news.html

  PR:		210190
  Submitted by:	Yonas Yanfa <yonas@fizk.net> (maintainer)

Changes:
  head/net/chrony/Makefile
  head/net/chrony/distinfo